@orbitdb/eslint-config-orbitdb

eslint configuration for orbitdb

Stats

StarsIssuesVersionUpdatedCreatedSize
@orbitdb/eslint-config-orbitdb
200.0.23 years ago3 years agoMinified + gzip package size for @orbitdb/eslint-config-orbitdb in KB

Readme

eslint-config-orbitdb

The eslint configuration used for orbit-db projects

Usage

Our default export contains all of our ESLint rules.

Requirements

  • eslint-plugin-import
  • eslint-plugin-standard
  • eslint-plugin-promise
  • eslint-plugin-node
  • eslint-config-standard
  • eslint

If you use yarn, run npm info "eslint-config-orbitdb@latest" peerDependencies to list the peer dependencies and versions, then run yarn add --dev <dependency>@<version> for each listed peer dependency. See below for npm instructions.

  1. Install the correct versions of each package, which are listed by the command:
npm info "eslint-config-orbitdb@latest" peerDependencies

Linux/OSX users can run

(
  export PKG=eslint-config-orbitdb;
  npm info "$PKG@latest" peerDependencies --json | command sed 's/[\{\},]//g ; s/: /@/g' | xargs yarn add --dev "$PKG@latest"
)
  1. Add "extends": "eslint-config-orbitdb" to your .eslintrc

If you find any bugs or have a feature request, please open an issue on github!

The npm package download data comes from npm's download counts api and package details come from npms.io.